xtdb:
  ingress:
    enabled: false

boefjes:
  config:
    octopoesApi: "https://petstore3.swagger.io/api/v3/openapi.json"
    bytesApi: "https://petstore3.swagger.io/api/v3/openapi.json"
    katalogusApi: "https://petstore3.swagger.io/api/v3/openapi.json"
    katalogusDbUri: "postgresql://postgres:postgres@127.0.0.1:5432/boefjes?sslmode=disable"
    wpScanApi: "TODO"
    encryptionMiddleware: "TODO"
    katalogusPrivateKeyB64: "TODO"
    katalogusPublicKeyB64: "TODO"

bytes:
  replicaCount: 1
  image:
    tag: "v1.2.3"
  dataDirVolume:
    size: 100Mi
  service:
    port: 8002
  config:
    secret: "supersecret"
    bytesUsername: "admin"
    bytesPassword: "admin"
    queueURI: "rabbitmq.kubernetes:8000"
    bytesDatabaseURI: "postgresql://user:paswd@host:5432/db"
    bytesDataDir: "/data"
    encryptionMiddleware: "NACL_SEALBOX"
    databaseMigration: "false"

octopoes:
  config:
    queueURI: "TODO"
    xtdbURI: "TODO"

rocky:
  ingress:
    enabled: true
    hosts:
      - host: rocky.openkat.local
        paths:
          - path: /
            pathType: ImplementationSpecific
  config:
    secretKey: ""
    db:
      host: ""
      port: ""
      db: ""
      user: ""
      password: ""
